TCHMGR(1)

NAME
tchmgr - the command line utility of the hash database API

DESCRIPTION

The command `tchmgr' is a utility for test and debugging of the hash database API and its applications. `path' specifies the path of a database file. `bnum' specifies the number of buckets. `apow' specifies the power of the alignment. `fpow' specifies the power of the free block pool. `key' specifies the key of a record. `value' specifies the value of a record. `file' specifies the input file.

    tchmgr create [-tl] [-td|-tb|-tt|-tx] path [bnum [apow [fpow]]]
        Create a database file.
    tchmgr inform [-nl|-nb] path
        Print miscellaneous information to the standard output.
    tchmgr put [-nl|-nb] [-sx] [-dk|-dc|-dai|-dad] path key value
        Store a record.
    tchmgr out [-nl|-nb] [-sx] path key
        Remove a record.
    tchmgr get [-nl|-nb] [-sx] [-px] [-pz] path key
        Print the value of a record.
    tchmgr list [-nl|-nb] [-m num] [-pv] [-px] [-fm str] path
        Print keys of all records, separated by line feeds.
    tchmgr optimize [-tl] [-td|-tb|-tt|-tx] [-tz] [-nl|-nb] [-df] path [bnum [apow [fpow]]]
        Optimize a database file.
    tchmgr importtsv [-nl|-nb] [-sc] path [file]
        Store records of TSV in each line of a file.
    tchmgr version
        Print the version information of Tokyo Cabinet.

Options feature the following.

    -tl : enable the option `HDBTLARGE'.
    -td : enable the option `HDBTDEFLATE'.
    -tb : enable the option `HDBTBZIP'.
    -tt : enable the option `HDBTTCBS'.
    -tx : enable the option `HDBTEXCODEC'.
    -nl : enable the option `HDBNOLCK'.
    -nb : enable the option `HDBLCKNB'.
    -sx : the input data is evaluated as a hexadecimal data string.
    -dk : use the function `tchdbputkeep' instead of `tchdbput'.
    -dc : use the function `tchdbputcat' instead of `tchdbput'.
    -dai : use the function `tchdbaddint' instead of `tchdbput'.
    -dad : use the function `tchdbadddouble' instead of `tchdbput'.
    -px : the output data is converted into a hexadecimal data string.
    -pz : do not append line feed at the end of the output.
    -m num : specify the maximum number of the output.
    -pv : print values of records also.
    -fm str : specify the prefix of keys.
    -tz : enable the option `UINT8_MAX'.
    -df : perform defragmentation only.
    -sc : normalize keys as lower cases.

This command returns 0 on success, another on failure.

SEE ALSO

tchtest(1), tchmttest(1), tchdb(3), tokyocabinet(3)